org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.runtime

## Interface RuntimePackage

    public interface RuntimePackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

See Also:
  `RuntimeFactory`
Generated:
Model:
  kind="package"

### Nested Class Summary

Nested Classes
`static interface` `RuntimePackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

### Field Summary

Fields
`static RuntimePackage` `eINSTANCE` The singleton instance of the package.
`static java.lang.String` `eNAME` The package name.
`static java.lang.String` `eNS_PREFIX` The package namespace name.
`static java.lang.String` `eNS_URI` The package namespace URI.
`static int` `ETYPED_ELEMENT_EOBJECT_LIST_RESULT` The meta object id for the '`ETyped Element EObject List Result`' class.
`static int` `ETYPED_ELEMENT_EOBJECT_LIST_RESULT__DERIVED_TYPED_ELEMENT` The feature id for the 'Derived Typed Element' reference.
`static int` `ETYPED_ELEMENT_EOBJECT_LIST_RESULT__EXCEPTION` The feature id for the 'Exception' attribute.
`static int` `ETYPED_ELEMENT_EOBJECT_LIST_RESULT__PARAMETER_VALUES` The feature id for the 'Parameter Values' containment reference list.
`static int` `ETYPED_ELEMENT_EOBJECT_LIST_RESULT__RESULT_LIST` The feature id for the 'Result List' reference list.
`static int` `ETYPED_ELEMENT_EOBJECT_LIST_RESULT__SOURCE` The feature id for the 'Source' reference.
`static int` `ETYPED_ELEMENT_EOBJECT_LIST_RESULT_FEATURE_COUNT` The number of structural features of the 'ETyped Element EObject List Result' class.
`static int` `ETYPED_ELEMENT_EOBJECT_RESULT` The meta object id for the '`ETyped Element EObject Result`' class.
`static int` `ETYPED_ELEMENT_EOBJECT_RESULT__DERIVED_TYPED_ELEMENT` The feature id for the 'Derived Typed Element' reference.
`static int` `ETYPED_ELEMENT_EOBJECT_RESULT__EXCEPTION` The feature id for the 'Exception' attribute.
`static int` `ETYPED_ELEMENT_EOBJECT_RESULT__PARAMETER_VALUES` The feature id for the 'Parameter Values' containment reference list.
`static int` `ETYPED_ELEMENT_EOBJECT_RESULT__RESULT` The feature id for the 'Result' reference.
`static int` `ETYPED_ELEMENT_EOBJECT_RESULT__SOURCE` The feature id for the 'Source' reference.
`static int` `ETYPED_ELEMENT_EOBJECT_RESULT_FEATURE_COUNT` The number of structural features of the 'ETyped Element EObject Result' class.
`static int` `ETYPED_ELEMENT_PRIMITIVE_TYPE_LIST_RESULT` The meta object id for the '`ETyped Element Primitive Type List Result`' class.
`static int` `ETYPED_ELEMENT_PRIMITIVE_TYPE_LIST_RESULT__DERIVED_TYPED_ELEMENT` The feature id for the 'Derived Typed Element' reference.
`static int` `ETYPED_ELEMENT_PRIMITIVE_TYPE_LIST_RESULT__EXCEPTION` The feature id for the 'Exception' attribute.
`static int` `ETYPED_ELEMENT_PRIMITIVE_TYPE_LIST_RESULT__PARAMETER_VALUES` The feature id for the 'Parameter Values' containment reference list.
`static int` `ETYPED_ELEMENT_PRIMITIVE_TYPE_LIST_RESULT__RESULT_LIST` The feature id for the 'Result List' attribute list.
`static int` `ETYPED_ELEMENT_PRIMITIVE_TYPE_LIST_RESULT__SOURCE` The feature id for the 'Source' reference.
`static int` `ETYPED_ELEMENT_PRIMITIVE_TYPE_LIST_RESULT_FEATURE_COUNT` The number of structural features of the 'ETyped Element Primitive Type List Result' class.
`static int` `ETYPED_ELEMENT_PRIMITIVE_TYPE_RESULT` The meta object id for the '`ETyped Element Primitive Type Result`' class.
`static int` `ETYPED_ELEMENT_PRIMITIVE_TYPE_RESULT__DERIVED_TYPED_ELEMENT` The feature id for the 'Derived Typed Element' reference.
`static int` `ETYPED_ELEMENT_PRIMITIVE_TYPE_RESULT__EXCEPTION` The feature id for the 'Exception' attribute.
`static int` `ETYPED_ELEMENT_PRIMITIVE_TYPE_RESULT__PARAMETER_VALUES` The feature id for the 'Parameter Values' containment reference list.
`static int` `ETYPED_ELEMENT_PRIMITIVE_TYPE_RESULT__RESULT` The feature id for the 'Result' attribute.
`static int` `ETYPED_ELEMENT_PRIMITIVE_TYPE_RESULT__SOURCE` The feature id for the 'Source' reference.
`static int` `ETYPED_ELEMENT_PRIMITIVE_TYPE_RESULT_FEATURE_COUNT` The number of structural features of the 'ETyped Element Primitive Type Result' class.
`static int` `ETYPED_ELEMENT_RESULT` The meta object id for the '`ETyped Element Result`' class.
`static int` `ETYPED_ELEMENT_RESULT__DERIVED_TYPED_ELEMENT` The feature id for the 'Derived Typed Element' reference.
`static int` `ETYPED_ELEMENT_RESULT__EXCEPTION` The feature id for the 'Exception' attribute.
`static int` `ETYPED_ELEMENT_RESULT__PARAMETER_VALUES` The feature id for the 'Parameter Values' containment reference list.
`static int` `ETYPED_ELEMENT_RESULT__SOURCE` The feature id for the 'Source' reference.
`static int` `ETYPED_ELEMENT_RESULT_FEATURE_COUNT` The number of structural features of the 'ETyped Element Result' class.
`static int` `JAVA_EXCEPTION` The meta object id for the 'Java Exception' data type.

### Method Summary

All Methods Instance Methods Abstract Methods
`EReference` `getETypedElementEObjectListResult_ResultList()` Returns the meta object for the reference list '`Result List`'.
`EClass` `getETypedElementEObjectListResult()` Returns the meta object for class '`ETyped Element EObject List Result`'.
`EReference` `getETypedElementEObjectResult_Result()` Returns the meta object for the reference '`Result`'.
`EClass` `getETypedElementEObjectResult()` Returns the meta object for class '`ETyped Element EObject Result`'.
`EAttribute` `getETypedElementPrimitiveTypeListResult_ResultList()` Returns the meta object for the attribute list '`Result List`'.
`EClass` `getETypedElementPrimitiveTypeListResult()` Returns the meta object for class '`ETyped Element Primitive Type List Result`'.
`EAttribute` `getETypedElementPrimitiveTypeResult_Result()` Returns the meta object for the attribute '`Result`'.
`EClass` `getETypedElementPrimitiveTypeResult()` Returns the meta object for class '`ETyped Element Primitive Type Result`'.
`EReference` `getETypedElementResult_DerivedTypedElement()` Returns the meta object for the reference '`Derived Typed Element`'.
`EAttribute` `getETypedElementResult_Exception()` Returns the meta object for the attribute '`Exception`'.
`EReference` `getETypedElementResult_ParameterValues()` Returns the meta object for the containment reference list '`Parameter Values`'.
`EReference` `getETypedElementResult_Source()` Returns the meta object for the reference '`Source`'.
`EClass` `getETypedElementResult()` Returns the meta object for class '`ETyped Element Result`'.
`EDataType` `getJavaException()` Returns the meta object for data type '`Java Exception`'.
`RuntimeFactory` `getRuntimeFactory()` Returns the factory that creates the instances of the model.

### Field Detail

#### eNAME

    static final java.lang.String eNAME

The package name.

See Also:
  Constant Field Values
Generated:

#### eNS_URI

    static final java.lang.String eNS_URI

The package namespace URI.

See Also:
  Constant Field Values
Generated:

#### eNS_PREFIX

    static final java.lang.String eNS_PREFIX

The package namespace name.

See Also:
  Constant Field Values
Generated:

#### eINSTANCE

    static final RuntimePackage eINSTANCE

The singleton instance of the package.

Generated:

#### ETYPED_ELEMENT_RESULT

    static final int ETYPED_ELEMENT_RESULT

The meta object id for the '`ETyped Element Result`' class.

See Also:
  `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.runtime.impl.ETypedElementResultImpl`, `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.runtime.impl.RuntimePackageImpl#getETypedElementResult()`, Constant Field Values
Generated:

#### ETYPED_ELEMENT_RESULT__DERIVED_TYPED_ELEMENT

    static final int ETYPED_ELEMENT_RESULT__DERIVED_TYPED_ELEMENT

The feature id for the 'Derived Typed Element' reference.

See Also:
  Constant Field Values
Generated:
Ordered:

#### ETYPED_ELEMENT_RESULT__PARAMETER_VALUES

    static final int ETYPED_ELEMENT_RESULT__PARAMETER_VALUES

The feature id for the 'Parameter Values' containment reference list.

See Also:
  Constant Field Values
Generated:
Ordered:

#### ETYPED_ELEMENT_RESULT__SOURCE

    static final int ETYPED_ELEMENT_RESULT__SOURCE

The feature id for the 'Source' reference.

See Also:
  Constant Field Values
Generated:
Ordered:

#### ETYPED_ELEMENT_RESULT__EXCEPTION

    static final int ETYPED_ELEMENT_RESULT__EXCEPTION

The feature id for the 'Exception' attribute.

See Also:
  Constant Field Values
Generated:
Ordered:

#### ETYPED_ELEMENT_RESULT_FEATURE_COUNT

    static final int ETYPED_ELEMENT_RESULT_FEATURE_COUNT

The number of structural features of the 'ETyped Element Result' class.

See Also:
  Constant Field Values
Generated:
Ordered:

#### ETYPED_ELEMENT_PRIMITIVE_TYPE_RESULT

    static final int ETYPED_ELEMENT_PRIMITIVE_TYPE_RESULT

The meta object id for the '`ETyped Element Primitive Type Result`' class.

See Also:
  `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.runtime.impl.ETypedElementPrimitiveTypeResultImpl`, `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.runtime.impl.RuntimePackageImpl#getETypedElementPrimitiveTypeResult()`, Constant Field Values
Generated:

#### ETYPED_ELEMENT_PRIMITIVE_TYPE_RESULT__DERIVED_TYPED_ELEMENT

    static final int ETYPED_ELEMENT_PRIMITIVE_TYPE_RESULT__DERIVED_TYPED_ELEMENT

The feature id for the 'Derived Typed Element' reference.

See Also:
  Constant Field Values
Generated:
Ordered:

#### ETYPED_ELEMENT_PRIMITIVE_TYPE_RESULT__PARAMETER_VALUES

    static final int ETYPED_ELEMENT_PRIMITIVE_TYPE_RESULT__PARAMETER_VALUES

The feature id for the 'Parameter Values' containment reference list.

See Also:
  Constant Field Values
Generated:
Ordered:

#### ETYPED_ELEMENT_PRIMITIVE_TYPE_RESULT__SOURCE

    static final int ETYPED_ELEMENT_PRIMITIVE_TYPE_RESULT__SOURCE

The feature id for the 'Source' reference.

See Also:
  Constant Field Values
Generated:
Ordered:

#### ETYPED_ELEMENT_PRIMITIVE_TYPE_RESULT__EXCEPTION

    static final int ETYPED_ELEMENT_PRIMITIVE_TYPE_RESULT__EXCEPTION

The feature id for the 'Exception' attribute.

See Also:
  Constant Field Values
Generated:
Ordered:

#### ETYPED_ELEMENT_PRIMITIVE_TYPE_RESULT__RESULT

    static final int ETYPED_ELEMENT_PRIMITIVE_TYPE_RESULT__RESULT

The feature id for the 'Result' attribute.

See Also:
  Constant Field Values
Generated:
Ordered:

#### ETYPED_ELEMENT_PRIMITIVE_TYPE_RESULT_FEATURE_COUNT

    static final int ETYPED_ELEMENT_PRIMITIVE_TYPE_RESULT_FEATURE_COUNT

The number of structural features of the 'ETyped Element Primitive Type Result' class.

See Also:
  Constant Field Values
Generated:
Ordered:

#### ETYPED_ELEMENT_EOBJECT_RESULT

    static final int ETYPED_ELEMENT_EOBJECT_RESULT

The meta object id for the '`ETyped Element EObject Result`' class.

See Also:
  `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.runtime.impl.ETypedElementEObjectResultImpl`, `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.runtime.impl.RuntimePackageImpl#getETypedElementEObjectResult()`, Constant Field Values
Generated:

#### ETYPED_ELEMENT_EOBJECT_RESULT__DERIVED_TYPED_ELEMENT

    static final int ETYPED_ELEMENT_EOBJECT_RESULT__DERIVED_TYPED_ELEMENT

The feature id for the 'Derived Typed Element' reference.

See Also:
  Constant Field Values
Generated:
Ordered:

#### ETYPED_ELEMENT_EOBJECT_RESULT__PARAMETER_VALUES

    static final int ETYPED_ELEMENT_EOBJECT_RESULT__PARAMETER_VALUES

The feature id for the 'Parameter Values' containment reference list.

See Also:
  Constant Field Values
Generated:
Ordered:

#### ETYPED_ELEMENT_EOBJECT_RESULT__SOURCE

    static final int ETYPED_ELEMENT_EOBJECT_RESULT__SOURCE

The feature id for the 'Source' reference.

See Also:
  Constant Field Values
Generated:
Ordered:

#### ETYPED_ELEMENT_EOBJECT_RESULT__EXCEPTION

    static final int ETYPED_ELEMENT_EOBJECT_RESULT__EXCEPTION

The feature id for the 'Exception' attribute.

See Also:
  Constant Field Values
Generated:
Ordered:

#### ETYPED_ELEMENT_EOBJECT_RESULT__RESULT

    static final int ETYPED_ELEMENT_EOBJECT_RESULT__RESULT

The feature id for the 'Result' reference.

See Also:
  Constant Field Values
Generated:
Ordered:

#### ETYPED_ELEMENT_EOBJECT_RESULT_FEATURE_COUNT

    static final int ETYPED_ELEMENT_EOBJECT_RESULT_FEATURE_COUNT

The number of structural features of the 'ETyped Element EObject Result' class.

See Also:
  Constant Field Values
Generated:
Ordered:

#### ETYPED_ELEMENT_PRIMITIVE_TYPE_LIST_RESULT

    static final int ETYPED_ELEMENT_PRIMITIVE_TYPE_LIST_RESULT

The meta object id for the '`ETyped Element Primitive Type List Result`' class.

See Also:
  `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.runtime.impl.ETypedElementPrimitiveTypeListResultImpl`, `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.runtime.impl.RuntimePackageImpl#getETypedElementPrimitiveTypeListResult()`, Constant Field Values
Generated:

#### ETYPED_ELEMENT_PRIMITIVE_TYPE_LIST_RESULT__DERIVED_TYPED_ELEMENT

    static final int ETYPED_ELEMENT_PRIMITIVE_TYPE_LIST_RESULT__DERIVED_TYPED_ELEMENT

The feature id for the 'Derived Typed Element' reference.

See Also:
  Constant Field Values
Generated:
Ordered:

#### ETYPED_ELEMENT_PRIMITIVE_TYPE_LIST_RESULT__PARAMETER_VALUES

    static final int ETYPED_ELEMENT_PRIMITIVE_TYPE_LIST_RESULT__PARAMETER_VALUES

The feature id for the 'Parameter Values' containment reference list.

See Also:
  Constant Field Values
Generated:
Ordered:

#### ETYPED_ELEMENT_PRIMITIVE_TYPE_LIST_RESULT__SOURCE

    static final int ETYPED_ELEMENT_PRIMITIVE_TYPE_LIST_RESULT__SOURCE

The feature id for the 'Source' reference.

See Also:
  Constant Field Values
Generated:
Ordered:

#### ETYPED_ELEMENT_PRIMITIVE_TYPE_LIST_RESULT__EXCEPTION

    static final int ETYPED_ELEMENT_PRIMITIVE_TYPE_LIST_RESULT__EXCEPTION

The feature id for the 'Exception' attribute.

See Also:
  Constant Field Values
Generated:
Ordered:

#### ETYPED_ELEMENT_PRIMITIVE_TYPE_LIST_RESULT__RESULT_LIST

    static final int ETYPED_ELEMENT_PRIMITIVE_TYPE_LIST_RESULT__RESULT_LIST

The feature id for the 'Result List' attribute list.

See Also:
  Constant Field Values
Generated:
Ordered:

#### ETYPED_ELEMENT_PRIMITIVE_TYPE_LIST_RESULT_FEATURE_COUNT

    static final int ETYPED_ELEMENT_PRIMITIVE_TYPE_LIST_RESULT_FEATURE_COUNT

The number of structural features of the 'ETyped Element Primitive Type List Result' class.

See Also:
  Constant Field Values
Generated:
Ordered:

#### ETYPED_ELEMENT_EOBJECT_LIST_RESULT

    static final int ETYPED_ELEMENT_EOBJECT_LIST_RESULT

The meta object id for the '`ETyped Element EObject List Result`' class.

See Also:
  `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.runtime.impl.ETypedElementEObjectListResultImpl`, `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.runtime.impl.RuntimePackageImpl#getETypedElementEObjectListResult()`, Constant Field Values
Generated:

#### ETYPED_ELEMENT_EOBJECT_LIST_RESULT__DERIVED_TYPED_ELEMENT

    static final int ETYPED_ELEMENT_EOBJECT_LIST_RESULT__DERIVED_TYPED_ELEMENT

The feature id for the 'Derived Typed Element' reference.

See Also:
  Constant Field Values
Generated:
Ordered:

#### ETYPED_ELEMENT_EOBJECT_LIST_RESULT__PARAMETER_VALUES

    static final int ETYPED_ELEMENT_EOBJECT_LIST_RESULT__PARAMETER_VALUES

The feature id for the 'Parameter Values' containment reference list.

See Also:
  Constant Field Values
Generated:
Ordered:

#### ETYPED_ELEMENT_EOBJECT_LIST_RESULT__SOURCE

    static final int ETYPED_ELEMENT_EOBJECT_LIST_RESULT__SOURCE

The feature id for the 'Source' reference.

See Also:
  Constant Field Values
Generated:
Ordered:

#### ETYPED_ELEMENT_EOBJECT_LIST_RESULT__EXCEPTION

    static final int ETYPED_ELEMENT_EOBJECT_LIST_RESULT__EXCEPTION

The feature id for the 'Exception' attribute.

See Also:
  Constant Field Values
Generated:
Ordered:

#### ETYPED_ELEMENT_EOBJECT_LIST_RESULT__RESULT_LIST

    static final int ETYPED_ELEMENT_EOBJECT_LIST_RESULT__RESULT_LIST

The feature id for the 'Result List' reference list.

See Also:
  Constant Field Values
Generated:
Ordered:

#### ETYPED_ELEMENT_EOBJECT_LIST_RESULT_FEATURE_COUNT

    static final int ETYPED_ELEMENT_EOBJECT_LIST_RESULT_FEATURE_COUNT

The number of structural features of the 'ETyped Element EObject List Result' class.

See Also:
  Constant Field Values
Generated:
Ordered:

#### JAVA_EXCEPTION

    static final int JAVA_EXCEPTION

The meta object id for the 'Java Exception' data type.

See Also:
  `Throwable`, `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.runtime.impl.RuntimePackageImpl#getJavaException()`, Constant Field Values
Generated:

### Method Detail

#### getETypedElementPrimitiveTypeResult

    EClass getETypedElementPrimitiveTypeResult()

Returns the meta object for class '`ETyped Element Primitive Type Result`'.

Returns:
  the meta object for class 'ETyped Element Primitive Type Result'.
See Also:
  `ETypedElementPrimitiveTypeResult`
Generated:

#### getETypedElementPrimitiveTypeResult_Result

    EAttribute getETypedElementPrimitiveTypeResult_Result()

Returns the meta object for the attribute '`Result`'.

Returns:
  the meta object for the attribute 'Result'.
See Also:
  `ETypedElementPrimitiveTypeResult.getResult()`, `getETypedElementPrimitiveTypeResult()`
Generated:

#### getETypedElementEObjectResult

    EClass getETypedElementEObjectResult()

Returns the meta object for class '`ETyped Element EObject Result`'.

Returns:
  the meta object for class 'ETyped Element EObject Result'.
See Also:
  `ETypedElementEObjectResult`
Generated:

#### getETypedElementEObjectResult_Result

    EReference getETypedElementEObjectResult_Result()

Returns the meta object for the reference '`Result`'.

Returns:
  the meta object for the reference 'Result'.
See Also:
  `ETypedElementEObjectResult.getResult()`, `getETypedElementEObjectResult()`
Generated:

#### getETypedElementPrimitiveTypeListResult

    EClass getETypedElementPrimitiveTypeListResult()

Returns the meta object for class '`ETyped Element Primitive Type List Result`'.

Returns:
  the meta object for class 'ETyped Element Primitive Type List Result'.
See Also:
  `ETypedElementPrimitiveTypeListResult`
Generated:

#### getETypedElementPrimitiveTypeListResult_ResultList

    EAttribute getETypedElementPrimitiveTypeListResult_ResultList()

Returns the meta object for the attribute list '`Result List`'.

Returns:
  the meta object for the attribute list 'Result List'.
See Also:
  `ETypedElementPrimitiveTypeListResult.getResultList()`, `getETypedElementPrimitiveTypeListResult()`
Generated:

#### getETypedElementEObjectListResult

    EClass getETypedElementEObjectListResult()

Returns the meta object for class '`ETyped Element EObject List Result`'.

Returns:
  the meta object for class 'ETyped Element EObject List Result'.
See Also:
  `ETypedElementEObjectListResult`
Generated:

#### getETypedElementEObjectListResult_ResultList

    EReference getETypedElementEObjectListResult_ResultList()

Returns the meta object for the reference list '`Result List`'.

Returns:
  the meta object for the reference list 'Result List'.
See Also:
  `ETypedElementEObjectListResult.getResultList()`, `getETypedElementEObjectListResult()`
Generated:

#### getETypedElementResult

    EClass getETypedElementResult()

Returns the meta object for class '`ETyped Element Result`'.

Returns:
  the meta object for class 'ETyped Element Result'.
See Also:
  `ETypedElementResult`
Generated:

#### getETypedElementResult_DerivedTypedElement

    EReference getETypedElementResult_DerivedTypedElement()

Returns the meta object for the reference '`Derived Typed Element`'.

Returns:
  the meta object for the reference 'Derived Typed Element'.
See Also:
  `ETypedElementResult.getDerivedTypedElement()`, `getETypedElementResult()`
Generated:

#### getETypedElementResult_ParameterValues

    EReference getETypedElementResult_ParameterValues()

Returns the meta object for the containment reference list '`Parameter Values`'.

Returns:
  the meta object for the containment reference list 'Parameter Values'.
See Also:
  `ETypedElementResult.getParameterValues()`, `getETypedElementResult()`
Generated:

#### getETypedElementResult_Source

    EReference getETypedElementResult_Source()

Returns the meta object for the reference '`Source`'.

Returns:
  the meta object for the reference 'Source'.
See Also:
  `ETypedElementResult.getSource()`, `getETypedElementResult()`
Generated:

#### getETypedElementResult_Exception

    EAttribute getETypedElementResult_Exception()

Returns the meta object for the attribute '`Exception`'.

Returns:
  the meta object for the attribute 'Exception'.
See Also:
  `ETypedElementResult.getException()`, `getETypedElementResult()`
Generated:

#### getJavaException

    EDataType getJavaException()

Returns the meta object for data type '`Java Exception`'.

Returns:
  the meta object for data type 'Java Exception'.
See Also:
  `Throwable`
Generated:
Model:
  instanceClass="java.lang.Throwable"

#### getRuntimeFactory

    RuntimeFactory getRuntimeFactory()

Returns the factory that creates the instances of the model.

Returns:
  the factory that creates the instances of the model.
Generated: